"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
var __1 = require("../..");
require("./TreeList.component.scss");
var generateRenders = function (data, i, firstExpanded) {
    return (data && ((0, jsx_runtime_1.jsx)("ul", { className: "c-TreeList__list list-unstyled", children: data.map(function (obj, index) { return ((0, jsx_runtime_1.jsx)(TreeListItem, { hierarchyLevel: i, data: obj, expanded: i === 0 && index === 0 && firstExpanded })); }) })));
};
var TreeListItem = function (props) {
    var hierarchyLevel = props.hierarchyLevel, data = props.data, preExpanded = props.expanded;
    var _a = tslib_1.__read((0, react_1.useState)(preExpanded), 2), expanded = _a[0], setExpanded = _a[1];
    var children = null;
    if (data.children) {
        children = generateRenders(data.children, hierarchyLevel + 1, false);
    }
    return ((0, jsx_runtime_1.jsxs)("li", { className: "c-TreeListItem".concat(!expanded ? " expanded" : ""), children: [(0, jsx_runtime_1.jsxs)("span", { className: "d-inline-block py-2 w-100", style: {
                    paddingLeft: hierarchyLevel > 0 ? 1.25 + 0.8 * hierarchyLevel + "rem" : 0,
                }, onClick: function () { return children && setExpanded(!expanded); }, children: [children && ((0, jsx_runtime_1.jsx)(__1.Icon, { containerClasses: "me-1", src: "http://localhost:8080/icon/md/MdKeyboardArrowRight" })), data.label] }), children] }));
};
var TreeList = function (props) {
    var data = props.data, firstExpanded = props.firstExpanded, noSearch = props.noSearch, title = props.title;
    var _a = tslib_1.__read((0, react_1.useState)(), 2), filteredItems = _a[0], setFilteredItems = _a[1];
    return ((0, jsx_runtime_1.jsxs)("div", { className: "c-TreeList mx-1", children: [title && (0, jsx_runtime_1.jsx)("strong", { className: "d-block mb-3 mt-2", children: title }), !noSearch && ((0, jsx_runtime_1.jsx)(__1.Search, { data: data, onChange: function (e, filteredItems) { return setFilteredItems(filteredItems); } })), generateRenders(filteredItems || data, 0, firstExpanded)] }));
};
exports.default = TreeList;
//# sourceMappingURL=TreeList.js.map