import { __read } from "tslib";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useState } from "react";
import { Icon, Search } from "../..";
import "./TreeList.component.scss";
var generateRenders = function (data, i, firstExpanded) {
    return (data && (_jsx("ul", { className: "c-TreeList__list list-unstyled", children: data.map(function (obj, index) { return (_jsx(TreeListItem, { hierarchyLevel: i, data: obj, expanded: i === 0 && index === 0 && firstExpanded })); }) })));
};
var TreeListItem = function (props) {
    var hierarchyLevel = props.hierarchyLevel, data = props.data, preExpanded = props.expanded;
    var _a = __read(useState(preExpanded), 2), expanded = _a[0], setExpanded = _a[1];
    var children = null;
    if (data.children) {
        children = generateRenders(data.children, hierarchyLevel + 1, false);
    }
    return (_jsxs("li", { className: "c-TreeListItem".concat(!expanded ? " expanded" : ""), children: [_jsxs("span", { className: "d-inline-block py-2 w-100", style: {
                    paddingLeft: hierarchyLevel > 0 ? 1.25 + 0.8 * hierarchyLevel + "rem" : 0,
                }, onClick: function () { return children && setExpanded(!expanded); }, children: [children && (_jsx(Icon, { containerClasses: "me-1", src: "http://localhost:8080/icon/md/MdKeyboardArrowRight" })), data.label] }), children] }));
};
var TreeList = function (props) {
    var data = props.data, firstExpanded = props.firstExpanded, noSearch = props.noSearch, title = props.title;
    var _a = __read(useState(), 2), filteredItems = _a[0], setFilteredItems = _a[1];
    return (_jsxs("div", { className: "c-TreeList mx-1", children: [title && _jsx("strong", { className: "d-block mb-3 mt-2", children: title }), !noSearch && (_jsx(Search, { data: data, onChange: function (e, filteredItems) { return setFilteredItems(filteredItems); } })), generateRenders(filteredItems || data, 0, firstExpanded)] }));
};
export default TreeList;
//# sourceMappingURL=TreeList.js.map