import counterReducer, { increment, decrement, incrementByAmount, } from "./counterSlice";
describe("counter reducer", function () {
    var initialState = {
        value: 3,
        status: "idle",
    };
    it("should handle initial state", function () {
        expect(counterReducer(undefined, { type: "unknown" })).toEqual({
            value: 0,
            status: "idle",
        });
    });
    it("should handle increment", function () {
        var actual = counterReducer(initialState, increment());
        expect(actual.value).toEqual(4);
    });
    it("should handle decrement", function () {
        var actual = counterReducer(initialState, decrement());
        expect(actual.value).toEqual(2);
    });
    it("should handle incrementByAmount", function () {
        var actual = counterReducer(initialState, incrementByAmount(2));
        expect(actual.value).toEqual(5);
    });
});
//# sourceMappingURL=counterSlice.spec.js.map